Subject: [Ksummit-2013-discuss] ARM topic: Is DT on ARM the solution, or is there something better?

From: [email-masked] (Richard Cochran)
Date: Thu, 24 Oct 2013 16:32:52 +0200

On Thu, Oct 24, 2013 at 04:19:56PM +0200, Thierry Reding wrote:
> 
> While I agree that many of these screwups shouldn't have happened in the
> first place, it's nothing that we were prepared for two years ago. At
> some point everyone agreed that DT was the way forward, so DT is what we
> did. Nobody said anything about stable ABI back then, so nobody cared.

The idea of a device tree has not changed. I guess the arm crowd
jumped on the DT bandwagon with no clue what it was about.

> We treated DT the same way we had treated platform data before, which
> has inevitable lead to the current mess, which is only slightly better
> than what we used to have.

So, are you saying that arm/dt is a failure?

(I won't argue with you on that point.)

Thanks,
Richard